﻿using UnityEngine;

public class Player : MonoBehaviour
{
    [Tooltip("リセット後の位置")]
    public Vector3 ResetPosition;

    private Transform _transform;
    private Rigidbody _rigidbody;

    [Tooltip("ジャンプする高さ")]
	[Range(3f, 10f)]
    public float Jump = 5f;

    private bool _isJump;

    void Awake()
    {
        _transform = GetComponent<Transform>();
        _rigidbody = GetComponent<Rigidbody>();
    }

    void Update()
    {
        _isJump = _isJump || Input.GetMouseButtonDown(0) || Input.GetMouseButtonDown(1);
    }

    void FixedUpdate()
    {
        if (!_isJump) return;


        _rigidbody.velocity = Vector3.up * Jump;
    }

    void OnBecameInvisible()
    {
        _transform.position = ResetPosition;
		_rigidbody.velocity = Vector3.zero;
    }
}